c===========================================================
c     Problem-specific quantities for multi-grid program.
c
c===========================================================

c--------------------------------------------------------------------
c    Two choices of equations are available
c
c    (1)  \del^2 u + sigma u^2 = rhs 
c    (2)  \del^2 u - K^2 u^5 + A^2 u^7 = rhs
c
c     where in each case, rhs is chosen according to excttype
c--------------------------------------------------------------------
      integer           eqtype
      common          / compar /
     &                  eqtype

c--------------------------------------------------------------------
c   Two choices of continuum/exact solutions are available,
c   (1)   u = sin(pi lx x) * sin(pi ly y) * sin(pi lz z)
c            or
c   (2)   u = 1 - 2 M / r
c--------------------------------------------------------------------
      integer           excttype
      common          / compar /
     &                  excttype

      real*8            xyzmax,        xyzmin
      common          / compar /
     &                  xyzmax,        xyzmin


      real*8            M
      common          / compar /
     &                  M

      real*8            lx,            ly,            lz
      parameter       ( lx = 1.0d0,    ly = 1.0d0,    lz = 1.0d0 )

      real*8            pi
      parameter       ( pi = 3.141 5926 5358 9793 d0 )

      real*8            Ksq,            Asq
      common          / compar /
     &                  Ksq, Asq

      real*8            sigma
      common          / compar /
     &                  sigma

      logical           gft_trace
      common          / compar /
     &                  gft_trace

